# Class TracePlotter.TraceStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.TracePlotter.TraceStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `TracePlotter`

public static class TracePlotter.TraceStyle extends Object implements Style
Style for trace plot.

Since:
  9 Dec 2016
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TraceStyle(Color color, boolean isHorizontal, int thickness, double qlo, double qhi, Kernel1dShape kernelShape, BinSizer smoothSizer, TracePlotter.QJoin join)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TraceStyle

public TraceStyle(Color color, boolean isHorizontal, int thickness, double qlo, double qhi, Kernel1dShape kernelShape, BinSizer smoothSizer, TracePlotter.QJoin join)
Constructor.

Parameters:
  `color` - colour
  `isHorizontal` - true for horizontal fill, false for vertical
  `thickness` - line thickness
  `qlo` - target lower quantile in range 0..1
  `qhi` - target upper quantile in range 0..1
  `kernelShape` - smoothing kernel
  `smoothSizer` - smoothing extent control
  `join` - join type

## Method Details

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`